CFName (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class CFName

- java.lang.Object
- - org.apache.cassandra.cql3.CFName

-     public class CFName
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CFName()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColumnFamily()`
    `java.lang.String` | `getKeyspace()`
    `boolean` | `hasKeyspace()` Checks if the keyspace is specified.
    `void` | `setColumnFamily(java.lang.String cf, boolean keepCase)`
    `void` | `setKeyspace(java.lang.String ks, boolean keepCase)` Sets the keyspace.
    `protected static java.lang.String` | `toInternalName(java.lang.String name, boolean keepCase)` Converts the specified name into the name used internally.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CFName

          public CFName()

  - ### Method Detail

    - #### setColumnFamily

          public void setColumnFamily(java.lang.String cf,
                                      boolean keepCase)

    - #### getColumnFamily

          public java.lang.String getColumnFamily()

    - #### toString

          public java.lang.String toString()

    - #### setKeyspace

          public final void setKeyspace(java.lang.String ks,
                                        boolean keepCase)

      Sets the keyspace.
      Parameters:
        `ks` - the keyspace name
        `keepCase` - `true` if the case must be kept, `false` otherwise.

    - #### hasKeyspace

          public final boolean hasKeyspace()

      Checks if the keyspace is specified.
      Returns:
        `true` if the keyspace is specified, `false` otherwise.

    - #### getKeyspace

          public final java.lang.String getKeyspace()

    - #### toInternalName

          protected static java.lang.String toInternalName(java.lang.String name,
                                                           boolean keepCase)

      Converts the specified name into the name used internally.
      Parameters:
        `name` - the name
        `keepCase` - `true` if the case must be kept, `false` otherwise.
      Returns:
        the name used internally.

Copyright © 2018 The Apache Software Foundation